## breathe-icon-theme 0.51.2

=== Makefile ===
GETTEXT_DOMAIN=breathe-icon-theme
SOURCE := $(shell dpkg-parsechangelog | grep Source: | cut -d' ' -f2-)
VERSION := $(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2-)

build: index.theme

# intltool merging
index.theme:
	for f in `find -name *.icon.in -o -name *.theme.in`; do \
	    intltool-merge -d -u po $$f $${f%.in}; \
	done
	cd po; intltool-update -p --verbose -g $(GETTEXT_DOMAIN)

clean:
	find -name *.icon -exec rm '{}' \;
	rm -f po/*.pot index.theme

install: index.theme
	find [0-9]* scalable \( -name '*.png' -o -name '*.svg' -o -name '*.icon' \) -exec \
	    install -D -m 644 '{}' $$DESTDIR/usr/share/icons/Breathe/'{}' \;

	# run icon-naming-utils
	for d in $$DESTDIR/usr/share/icons/Breathe/*; do \
	    (cd $$d; for c in *; do /usr/lib/icon-naming-utils/icon-name-mapping -c $$c; done); \
	done

	# install mo files
	for f in po/*.po; do \
	    D=$$DESTDIR/usr/share/locale/`basename $$f .po`/LC_MESSAGES/; \
	    install -d -m 755 $$D; \
	    msgfmt -o $$D/$(GETTEXT_DOMAIN).mo $$f; \
	done

	# install index
	install -D -m 644 index.theme $$DESTDIR/usr/share/icons/Breathe/index.theme

# Automate building of tarball for distribution on GNOME-Look, ect...
tar: index.theme
	mkdir $(SOURCE)-$(VERSION)
	cp -r 16x16 22x22 24x24 32x32 48x48 scalable index.theme $(SOURCE)-$(VERSION)
	# run icon-naming-utils
	for d in $(SOURCE)-$(VERSION)/*; do \
	    (cd $$d; for c in *; do /usr/lib/icon-naming-utils/icon-name-mapping -c $$c; done); \
	done
	tar -cf $(SOURCE)-$(VERSION).tar $(SOURCE)-$(VERSION)
	gzip -n9 $(SOURCE)-$(VERSION).tar
	mv $(SOURCE)-$(VERSION).tar.gz ../
	rm -r $(SOURCE)-$(VERSION)

.PHONY: build i18n clean install

=== debian/changelog ===
breathe-icon-theme (0.51.2) karmic; urgency=low

  * debian/breathe-icon-theme.links: Add fixes for usb/devices.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 13 Oct 2009 17:54:30 -0400

breathe-icon-theme (0.51.1) karmic; urgency=low

  * debian/rules: Explicitly call dh_icons. (LP: #262723)
  * debian/links: Add symlink for for nm-no-connection (LP: #429449),
    drive-*-usb (LP: #253599), and media-flash-* (LP: #417294).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 10 Oct 2009 00:27:18 -0400

breathe-icon-theme (0.51) karmic; urgency=low

  * Introduce color fixes.
   - Make palette more consistent through out the theme.
   - Fix saturation levels for folder icons.
  * debian/control: Bump Standars-Version to 3.8.3

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 04 Oct 2009 14:56:58 -0400

breathe-icon-theme (0.50) karmic; urgency=low

  * Initial release. (LP: #398232) 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 18 Jul 2009 11:06:06 -0400

=== debian/control ===
Source: breathe-icon-theme
Section: x11
Priority: optional
Maintainer: Breathe Icon Team <ubuntu-art@lists.ubuntu.com>
Build-Depends: debhelper (>= 5.0.51~),
               cdbs
Build-Depends-Indep: libxml-parser-perl,
                     hicolor-icon-theme,
                     pkg-config (>= 0.19),
                     icon-naming-utils (>= 0.8.1),
                     libmagickcore-dev | libmagick9-dev,
                     imagemagick (>= 5.5.7),
                     librsvg2-dev (>= 2.12.3),
                     lsb-release,
                     intltool
Vcs-Bzr: https://code.launchpad.net/~breathe-dev/breathe-icon-set/trunk
Vcs-Browser: http://bazaar.launchpad.net/~breathe-dev/breathe-icon-set/trunk/files
Homepage: https://wiki.ubuntu.com/Artwork/BreatheIconSet/
Standards-Version: 3.8.3

Package: breathe-icon-theme
Architecture: all
Depends: ${misc:Depends}, human-icon-theme, gnome-icon-theme
Description: A fresh and modern icon theme for Ubuntu
 The Breathe icon theme is a refresh of the Human icon theme using KDE's
 Oxygen icon set as an inspiration but with that distinctly Human feel.
 .
 The Breathe Icon Set is created and maintained by the Breathe Icon Team and 
 Ubuntu Artwork community.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)

DISTRO := $(shell lsb_release -si)

# Anyway, defaults to Debian
ifeq ($(DISTRO),)
DISTRO := Debian
endif

clean::
	@echo "=== Building for distribution: $(DISTRO) ==="
	if [ -d debian/$(DISTRO) ]; then \
	    find debian/$(DISTRO) -name '*.png' | xargs rm -fv; \
	fi

build:
	@echo "=== Installing distribution specific overrides ==="
	if [ -d debian/$(DISTRO) ]; then \
	    find debian/$(DISTRO) -name '*.sng' | xargs sng; \
	fi

binary-post-install/breathe-icon-theme::
	dh_icons
